export default {
  data (){
    return {
      //分页参数，最终合并提交
      pages:{
        page: 1,
        size: 10,
        total: 0,
      },
      // 遮罩层
      loading: false,
      queryParams:{},
    }
  },
  methods:{
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.page = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.dateRange = [];
      this.resetForm("queryForm");
      this.queryParams.orgId = undefined;
      this.$refs.tree.setCurrentKey(null);
      this.handleQuery();
    },
  }
}
